
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Threading.Tasks;

namespace Hncore.Pass.Sells.Domain
{
    public class Enums
    {
        public enum CouponOriginType
        {

            [DisplayName("管理员赠送")]
            Admin = 1,
            [DisplayName("淘宝下单")]
            TaoBao = 2,
            [DisplayName("用户")]
            User = 3,
            [DisplayName("关注公众号")]
            MP = 4,
            [DisplayName("完善信息")]
            UserInfo = 5,
        }

        public enum CouponStatus
        {

            [DisplayName("认领")]
            Origin = 1,
            [DisplayName("使用")]
            Used = 2,
            [DisplayName("冻结")]
            Disabled = 3,
        }
    }
}
